/*******************************************************************************
 * FileName: storyList.js
 * Description: It contains the functionality linked to the my_stories page.
 * Copyright (c) 2013 Daniel Franco Cecilia
 *******************************************************************************/
$(document).on('pageinit', '#my_stories_page', function () {
	var db, story_list = new Array();
	
	db = new Db();
	db.getStories(function (story_list) {
	    for (var i = 0; i < story_list.length; i++) {
	    	// Adding the element..
	    	$("#my_stories_list").append('<li data-theme="c">'
	    			+ '<a class = "listStories" href="#story_card" onClick = "listStories_click(this);" data-transition="slide">'    			
	    			+ story_list[i].title + '</a></li>');
	    }	
	    // Refreshing..
	    $('#my_stories_list').listview('refresh');  
	});	
});

function listStories_click(a) {
	story_card_title = $(a).text();
}