/*******************************************************************************
 * FileName: index.js
 * Description: It's the main js of the app. It starts the server and contains
 * 				the handlers.
 * Copyright (c) 2013 Daniel Franco Cecilia
 *******************************************************************************/

var server = require("./server");
var handlers = require("./handler");
var handle = {};

handle["authenticateUser"] = handlers.authenticateUser;
handle["createStory"] = handlers.createStory;
handle["startStory"] = handlers.startStory;
handle["acceptInvitation"] = handlers.acceptInvitation;
handle["refuseInvitation"] = handlers.refuseInvitation;
handle["disconnect"] = handlers.disconnect;
handle["sendStoryMessage"] = handlers.sendStoryMessage;

server.init(handle);